# SPDX-FileCopyrightText: 2023 Johannes Loher
#
# SPDX-License-Identifier: MIT

name: Bug Report
about: File a bug report
labels: ["bug", "to be confirmed"]
body:
  - type: markdown
    attributes:
      value: |
        Your issue may already have been reported! Please search on the [issue tracker](https://git.f3l.de/dungeonslayers/ds4/issues) before submitting a new one.

        Thanks for taking the time to fill out this bug report! In order to make it effective, please provide the following information.
  - type: markdown
    attributes:
      value: |
        ## Issue Description
  - type: textarea
    id: expected
    attributes:
      label: Expected Behavior
      description: What is the behavior that you expected?
    validations:
      required: true
  - type: textarea
    id: current
    attributes:
      label: Current Behavior
      description: What is the current behavior, i.e., what happens actually?
    validations:
      required: true
  - type: textarea
    id: steps
    attributes:
      label: Steps to Reproduce
      description: What are the steps to reproduce the problem?
      placeholder: |
        1.
        2.
        3.
        4.
    validations:
      required: true
  - type: textarea
    id: context
    attributes:
      label: Context
      description: Please provide any additional context that might be helpful, e.g. log messages, screenshots, videos, or exports of problematic scenes or worlds.
    validations:
      required: false
  - type: markdown
    attributes:
      value: |
        ## Environment Details
  - type: input
    id: version
    attributes:
      label: Version
      description: Which version(s) of DS4 are you seeing the problem on?
    validations:
      required: true
  - type: input
    id: foundry-version
    attributes:
      label: Foundry VTT Version
      description: Which version(s) and build of Foundry VTT are you seeing the problem on?
    validations:
      required: true
  - type: input
    id: os
    attributes:
      label: Operating System
      description: Which operating system are you using? (Windows, OS X, Linux (which distro))
      placeholder: Windows
    validations:
      required: true
  - type: dropdown
    id: browser
    attributes:
      label: Browser / App
      description: Are you using a Browser or the native Electron application? (Select all that apply)
      multiple: true
      options:
        - Native Electron App
        - Chrome
        - Firefox
        - Microsoft Edge
        - Safari
        - Other
    validations:
      required: true
  - type: input
    id: modules
    attributes:
      label: Relevant Modules
      description: Please list any other active modules (including their versions) that you think might be relevant.
    validations:
      required: false
